// @ ... GET ... IN WINDOW
#xcommand @ <nRow>, <nCol> GET <var> [<clauses,...>] IN WINDOW <aWind> [<moreclauses,...>] ;
	=> ;
	@ <aWind>\[ W_T ] + <nRow>, <aWind>\[ W_L ] + <nCol> GET <var> COLOR <aWind>\[ W_GET_CLR ] [<clauses>] [<moreclauses>]

// @.... SAY ... GET ... IN WINDOW
#xcommand @ <nRow>, <nCol> SAY <cText> GET <var> [<clauses,...>] IN WINDOW <aWind> [<moreclauses,...>] ;
	=> ;
	wSay( <aWind>, <nRow>, <nCol>, <cText> ) ;
	; @ <nRow>, <nCol> + LEN( <cText> ) GET <var> IN WINDOW <aWind> [<clauses>] [<moreclauses>]

#define GET_WINDOW     1                         // window for gets
#define GET_GETLIST    2                         // array of gets
#define GET_DIALOG     3                         // dialog procedure for window
#define GET_POS        4                         // current position in getlist
#define GET_LASTPOS    5                         // previous position in getlist
#define GET_EXITSTATE  6                         // exit state of last get
#define GET_LASTEXIT   7                         // previous exit state
#define GET_BUMPTOP    8                         // reached top of list
#define GET_BUMPBOT    9                         // reached bottom of list
#define GET_UPDATED   10                         // updated status
#define GET_KILLREAD  11                         // kill read status

#define GET_ASIZE     11                         // array size

// include the msg file, if required
#ifndef __MSG
	#include "msg.ch"
#endif

#define DLG_SAVE      ( WM_USER + 0 )
#define DLG_ABORT     ( WM_USER + 1 )
