#include "inkey.ch"
#include "msg.ch"
#include "wind.ch"
#include "misc.ch"

PROCEDURE WierdProc( aMsg )

	LOCAL aWind   := aMsg[ M_WINDOW ]
	LOCAL msg     := aMsg[ M_MSG ]
	LOCAL nParm   := aMsg[ M_PARM ]

	DO CASE
	CASE ( msg == WM_SETFOCUS )
		wGetFocus( aWind )

	CASE ( msg == WM_KILLFOCUS )
		wKillFocus( aWind )

	CASE ( msg == WM_CHAR )

		DO CASE
		CASE ( nParm == K_ENTER )
			// go to the top of the next column
			aWind[ W_CURS_ROW ] := 1
			aWind[ W_CURS_COL ]++
			wPrintChar( aWind, "" )

		CASE ( nParm > 31 )
			// printable character -- print it
			wPrintChar( aWind, chr( nParm ) )

			// advance cursor to next line in current column
			IF ( ++aWind[ W_CURS_ROW ] == aWind[ W_B ] - aWind[ W_T ] )
				aWind[ W_CURS_ROW ] := 1
				aWind[ W_CURS_COL ]++
			ENDIF

		OTHERWISE
			TONE( 400, 2 )

		ENDCASE

	ENDCASE

RETURN
